package net.buildbox.sd.dropboxpreview;

import com.dropbox.chooser.android.DbxChooser;
import com.dropbox.chooser.android.DbxChooser.ResultType;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends Activity {

	// App keyの設定
	private static final String APP_KEY = "mmzk8p2ryugz1ph";
	// Dropboxのファイル選択画面呼び出しを行うときのリクエストコード
	private static final int DBX_REQUEST_CODE = 100;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}
	
	public void onButtonClick(View v) {
		new DbxChooser(APP_KEY)
			// プレビュー表示するリクエストタイプの設定
			.forResultType(ResultType.PREVIEW_LINK)
			// Chooserの呼び出し
			.launch(this, DBX_REQUEST_CODE);
	}
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		// リクエストコードのチェック
		if (requestCode == DBX_REQUEST_CODE) {
			// resultCodeがRESULT_OKの（ファイルが選択された）場合に処理実施
			if (resultCode == Activity.RESULT_OK) {
				// プレビューのURIを取得
				Uri uri = new DbxChooser.Result(data).getLink();
				
				// 指定のURIを呼び出し
				Intent startIntent = new Intent(Intent.ACTION_VIEW, uri);
				startActivity(startIntent);
			}
		} else {
			super.onActivityResult(requestCode, resultCode, data);
		}
	}
}
